-- Rogue

local BUFF = true
local DEBUFF = false
local p = Raven.ColorPalette

Raven.classSpells.ROGUE = {
	{ "Adrenaline Rush", BUFF, p.Orange1, cooldown = true, school = "Physical", school = "Physical" },
	{ "Blade Flurry", BUFF, p.Orange3, cooldown = true, school = "Physical", school = "Physical" },
	{ "Blade Twisting", DEBUFF, p.Cyan, },
	{ "Blind", DEBUFF, p.Gray, cooldown = true, school = "Physical", school = "Physical" },
	{ "Cheap Shot", DEBUFF, p.Blue3, },
	{ "Cloak of Shadows", BUFF, p.Purple1, cooldown = true, school = "Physical", school = "Physical" },
	{ "Cold Blood", BUFF, p.Green3, cooldown = true, school = "Physical", },
	{ "Deadly Throw", DEBUFF, p.Purple1, },
	{ "Dismantle", DEBUFF, p.Yellow3, cooldown = true, school = "Physical", },
	{ "Distract", nil, p.Orange2, cooldown = true, school = "Physical", },
	{ "Envenom", BUFF, p.Green3, },
	{ "Evasion", BUFF, p.Purple1, cooldown = true, school = "Physical", },
	{ "Eviscerate", nil, p.Red3, },
	{ "Expose Armor", DEBUFF, p.Purple2, },
	{ "Feint", BUFF, p.Purple1, cooldown = true, school = "Physical", },
	{ "Garrote", DEBUFF, p.Red2, },
	{ "Garrote - Silence", DEBUFF, p.Red2, },
	{ "Ghostly Strike", BUFF, p.Purple2, cooldown = true, school = "Physical", },
	{ "Gouge", DEBUFF, p.Red1, cooldown = true, school = "Physical", },
	{ "Hemorrhage", DEBUFF, p.Red3, },
	{ "Hunger For Blood", BUFF, p.Purple2, },
	{ "Kick", DEBUFF, p.Gray, cooldown = true, school = "Physical", },
	{ "Kick - Silenced", DEBUFF, p.Gray, },
	{ "Kidney Shot", DEBUFF, p.Yellow3, cooldown = true, school = "Physical", },
	{ "Killing Spree", BUFF, p.Yellow3, cooldown = true, school = "Physical", },
	{ "Premeditation", nil, p.Purple1, cooldown = true, school = "Physical", },
	{ "Preparation", nil, p.Purple1, cooldown = true, school = "Physical", },
	{ "Remorseless", BUFF, p.Green2, },
	{ "Riposte", DEBUFF, p.Red2, cooldown = true, school = "Physical", },
	{ "Shadow Dance", BUFF, p.Blue3, cooldown = true, school = "Physical", },
	{ "Shadowstep", BUFF, p.Purple3, cooldown = true, school = "Physical", },
	{ "Sinister Strike", nil, p.Purple2, },
	{ "Rupture", DEBUFF, p.Red1, },
	{ "Sap", DEBUFF, p.Orange3, },
	{ "Slice and Dice", BUFF, p.Orange3, },
	{ "Sprint", BUFF, p.Orange1, cooldown = true, school = "Physical", },
	{ "Stealth", BUFF, p.Blue2, cooldown = true, school = "Physical", },
	{ "Tricks of the Trade", BUFF, p.Green3, cooldown = true, school = "Physical", },
	{ "Vanish", BUFF, p.Gray, cooldown = true, school = "Physical", },
	{ "Waylay", DEBUFF, p.Yellow1, },
	{ "Crippling Poison", DEBUFF, p.Purple3, },
	{ "Mind-numbing Poison", DEBUFF, p.Green1, },
	{ "Deadly Poison", DEBUFF, p.Green3, },
	{ "Deadly Poison II", DEBUFF, p.Green3, },
	{ "Deadly Poison III", DEBUFF, p.Green3, },
	{ "Deadly Poison IV", DEBUFF, p.Green3, },
	{ "Deadly Poison V", DEBUFF, p.Green3, },
	{ "Deadly Poison VI", DEBUFF, p.Green3, },
	{ "Deadly Poison VII", DEBUFF, p.Green3, },
	{ "Deadly Poison VIII", DEBUFF, p.Green3, },
	{ "Deadly Poison IX", DEBUFF, p.Green3, },
	{ "Wound Poison", DEBUFF, p.Green2, },
	{ "Wound Poison II", DEBUFF, p.Green2, },
	{ "Wound Poison III", DEBUFF, p.Green2, },
	{ "Wound Poison IV", DEBUFF, p.Green2, },
	{ "Wound Poison V", DEBUFF, p.Green2, },
	{ "Wound Poison VI", DEBUFF, p.Green2, },
	{ "Wound Poison VII", DEBUFF, p.Green2, },
}

Raven.classConditions.ROGUE = {
	["Mainhand Poison Missing"] = {
		name = "Mainhand Poison Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false, isFishing = false,
									hasMainHand = true, levelMainHand = 2, checkLevel = true, level = 20 },
			["Buff Type"] = { enable = true, hasBuff = "Mainhand", toggle = true },
		},	
	},
	["Offhand Poison Missing"] = {
		name = "Offhand Poison Missing", enabled = true, notify = true,
		tests = {
			["Player Status"] = { enable = true, isResting = false, isMounted = false, isFishing = false,
									hasOffHand = true, levelOffHand = 2, checkLevel = true, level = 20 },
			["Buff Type"] = { enable = true, hasBuff = "Offhand", toggle = true },
		},	
	},
}
