-- Death Knight

local BUFF = true
local DEBUFF = false
local p = Raven.ColorPalette

Raven.classSpells.DEATHKNIGHT = {
	{ "Abomination's Might", BUFF, p.Orange1, },
	{ "Acclimation", BUFF, p.Orange2, },
	{ "Acherus Deathcharger", BUFF, p.Blue2, },
	{ "Anti-Magic Shell", BUFF, p.Yellow3, cooldown = true, school = "Shadow" },
	{ "Anti-Magic Zone", BUFF, p.Gray, cooldown = true, school = "Shadow" },
	{ "Army of the Dead", nil, p.Purple3, cooldown = true, school = "Shadow" },
	{ "Blade Barrier", BUFF, p.Purple3, },
	{ "Blood Plague", DEBUFF, p.Red1, },
	{ "Blood Presence", BUFF, p.Red2 },
	{ "Blood Tap", nil, p.Red2, cooldown = true, school = "Physical" },
	{ "Bloody Vengeance", BUFF, p.Red2, },
	{ "Bone Shield", BUFF, p.Purple3, cooldown = true, school = "Nature" },
	{ "Chains of Ice", DEBUFF, p.Blue2, },
	{ "Corpse Explosion", nil, p.Yellow3, cooldown = true, school = "Shadow" },
	{ "Crypt Fever", DEBUFF, p.Green1, },
	{ "Dancing Rune Weapon", BUFF, p.Yellow1, cooldown = true, school = "Physical" },
	{ "Dark Command", nil, p.Orange1, cooldown = true, school = "Physical" },
	{ "Death and Decay", nil, p.Green1, cooldown = true, school = "Shadow" },
	{ "Death Gate", nil, p.Purple1, cooldown = true, school = "Shadow" },
	{ "Death Grip", DEBUFF, p.Purple2, cooldown = true, school = "Physical" },
	{ "Death Pact", nil, p.Orange2, cooldown = true, school = "Shadow" },
	{ "Death Trance", BUFF, p.Purple3, },
	{ "Deathchill", BUFF, p.Blue3, cooldown = true, school = "Frost" },
	{ "Desecration", BUFF, p.Purple1, },
	{ "Ebon Plague", DEBUFF, p.Purple3, },
	{ "Empower Rune Weapon", nil, p.Purple1, cooldown = true, school = "Frost" },
	{ "Freezing Fog", BUFF, p.Blue1, },
	{ "Frost Presence", BUFF, p.Blue3 },
	{ "Frozen Rune Weapon", BUFF, p.Blue1, },
	{ "Frost Fever", DEBUFF, p.Blue3, },
	{ "Ghoul Frenzy", BUFF, p.Red1, },
	{ "Horn of Winter", BUFF, p.Brown3, cooldown = true, school = "Physical" },
	{ "Howling Blast", nil, p.Blue1, cooldown = true, school = "Frost" },
	{ "Hungering Cold", DEBUFF, p.Purple3, cooldown = true, school = "Frost" },
	{ "Hysteria", BUFF, p.Orange3, cooldown = true, school = "Physical" },
	{ "Icebound Fortitude", BUFF, p.Cyan, cooldown = true, school = "Physical" },
	{ "Improved Icy Talons", BUFF, p.Green3, },
	{ "Killing Machine", BUFF, p.Blue3, },
	{ "Lichborne", BUFF, p.Gray, cooldown = true, school = "Shadow" },
	{ "Mark of Blood", DEBUFF, p.Orange3, cooldown = true, school = "Shadow" },
	{ "Mind Freeze", nil, p.Purple3, cooldown = true, school = "Frost" },
	{ "On a Pale Horse", BUFF, p.Cyan, },
	{ "Path of Frost", BUFF, p.Blue1, },
	{ "Raise Dead", nil, p.Gray, cooldown = true, school = "Physical" },
	{ "Raise Ally", nil, p.Gray, cooldown = true, school = "Physical" },
	{ "Rune Tap", nil, p.Red3, cooldown = true, school = "Shadow" },
	{ "Scent of Blood", BUFF, p.Orange2, },
	{ "Strangulate", DEBUFF, p.Green2, cooldown = true, school = "Shadow" },
	{ "Summon Gargoyle", nil, p.Brown2, cooldown = true, school = "Shadow" },
	{ "Unbreakable Armor", BUFF, p.Brown1, cooldown = true, school = "Physical" },
	{ "Unholy Blight", BUFF, p.Gray, cooldown = true, school = "Shadow" },
	{ "Unholy Presence", BUFF, p.Green1 },
	{ "Vampiric Blood", BUFF, p.Red3, cooldown = true, school = "Physical" },
	{ "Blood Rune", nil, p.Red1 },
	{ "Frost Rune", nil, p.Blue1 },
	{ "Unholy Rune", nil, p.Green1 },
	{ "Death Rune", nil, p.Purple1 },
}

Raven.runeSpells = {
	["Blood Boil"] = { blood = true },
	["Blood Presence"] = { blood = true },
	["Blood Strike"] = { blood = true },
	["Pestilence"] = { blood = true },
	["Strangulate"] = { blood = true },
	["Heart Strike"] = { blood = true },
	["Mark of Blood"] = { blood = true },
	["Rune Tap"] = { blood = true },
	["Vampiric Blood"] = { blood = true },
	["Chains of Ice"] = { frost = true },
	["Frost Presence"] = { frost = true },
	["Icy Touch"] = { frost = true },
--	["Pillar of Frost"] = { frost = true }, -- new in Cataclysm
	["Path of Frost"] = { frost = true },
	["Unbreakable Armor"] = { frost = true },
	["Death Gate"] = { unholy = true },
	["Plague Strike"] = { unholy = true },
--	["Necrotic Strike"] = { unholy = true }, -- new in Cataclysm
	["Unholy Presence"] = { unholy = true },
	["Anti-Magic Zone"] = { unholy = true },
	["Bone Shield"] = { unholy = true },
	["Ghoul Frenzy"] = { unholy = true },
--	["Festering Strike"] = { blood = true, frost = true }, -- new in Cataclysm
	["Death Strike"] = { frost = true, unholy = true },
	["Obliterate"] = { frost = true, unholy = true },
	["Howling Blast"] = { frost = true, unholy = true }, -- only frost in Cataclysm
	["Scourge Strike"] = { frost = true, unholy = true }, -- only unholy in Cataclysm
	["Army of the Dead"] = { blood = true, frost = true, unholy = true },
	["Death and Decay"] = { blood = true, frost = true, unholy = true }, -- only unholy in Cataclysm
}

Raven.classConditions.DEATHKNIGHT = {
}
