﻿-- Warrior

local BUFF = true
local DEBUFF = false
local p = Raven.ColorPalette

Raven.classSpells.WARRIOR = {
	{ "Battle Shout", BUFF, p.Yellow3, },
	{ "Battle Stance", BUFF, p.Red3, },
	{ "Berserker Rage", BUFF, p.Orange2, cooldown = true, school = "Physical" },
	{ "Berserker Stance", BUFF, p.Cyan, },
	{ "Bladestorm", BUFF, p.Orange3, cooldown = true, school = "Physical" },
	{ "Blood Craze", BUFF, p.Orange1, },
	{ "Bloodrage", BUFF, p.Orange1, cooldown = true, school = "Physical" },
	{ "Bloodthirst", BUFF, p.Red2, cooldown = true, school = "Physical" },
	{ "Challenging Shout", DEBUFF, p.Brown1, cooldown = true, school = "Physical" },
	{ "Charge", nil, p.Red1, cooldown = true, school = "Physical" },
	{ "Charge Stun", DEBUFF, p.Cyan },
	{ "Commanding Shout", BUFF, p.Orange3, },
	{ "Concussion Blow", DEBUFF, p.Gray, cooldown = true, school = "Physical" },
	{ "Dazed", DEBUFF, p.Cyan, },
	{ "Death Wish", BUFF, p.Orange3, cooldown = true, school = "Physical" },
	{ "Deep Wound", DEBUFF, p.Red1, },
	{ "Defensive Stance", BUFF, p.Gray, },
	{ "Demoralizing Shout", DEBUFF, p.Green3, },
	{ "Disarm", DEBUFF, p.Brown2, cooldown = true, school = "Physical" },
	{ "Enrage", BUFF, p.Purple3 },
	{ "Enraged Regeneration", BUFF, p.Red3, cooldown = true, school = "Physical" },
	{ "Flurry", BUFF, p.Red2 },
	{ "Furious Attacks", DEBUFF, p.Yellow3, },
	{ "Hamstring", DEBUFF, p.Yellow2, },
	{ "Heroic Fury", nil, p.Orange1, cooldown = true, school = "Physical" },
	{ "Heroic Throw", nil, p.Purple3, cooldown = true, school = "Physical" },
	{ "Intercept", nil, p.Orange3, cooldown = true, school = "Physical" },
	{ "Intercept Stun", DEBUFF, p.Orange3 },
	{ "Intervene", BUFF, p.Yellow1, cooldown = true, school = "Physical" },
	{ "Intimidating Shout", DEBUFF, p.Purple2, cooldown = true, school = "Physical" },
	{ "Juggernaut", BUFF, p.Brown3 },
	{ "Last Stand", BUFF, p.Brown1, cooldown = true, school = "Physical" },
	{ "Mocking Blow", DEBUFF, p.Orange3, cooldown = true, school = "Physical" },
	{ "Mortal Strike", DEBUFF, p.Blue3, cooldown = true, school = "Physical" },
	{ "Overpower", nil, p.Yellow3, cooldown = true, school = "Physical" },
	{ "Piercing Howl", DEBUFF, p.Brown3 },
	{ "Pummel", nil, p.Brown2, cooldown = true, school = "Physical" },
	{ "Rampage", BUFF, p.Red2 },
	{ "Recklessness", BUFF, p.Red2, cooldown = true, school = "Physical" },
	{ "Rend", DEBUFF, p.Red1 },
	{ "Retaliation", BUFF, p.Orange2, cooldown = true, school = "Physical" },
	{ "Revenge", nil, p.Brown3, cooldown = true, school = "Physical" },
	{ "Revenge Stun", DEBUFF, p.Brown3, },
	{ "Safeguard", BUFF, p.Yellow2 },
	{ "Second Wind", BUFF, p.Pink },
	{ "Shattering Throw", DEBUFF, p.Green2 },
	{ "Shield Bash", nil, p.Brown3, cooldown = true, school = "Physical" },
	{ "Shield Block", BUFF, p.Blue3, cooldown = true, school = "Physical" },
	{ "Shield Slam", nil, p.Yellow3, cooldown = true, school = "Physical" },
	{ "Shield Wall", BUFF, p.Purple3, cooldown = true, school = "Physical" },
	{ "Shockwave", DEBUFF, p.Cyan, cooldown = true, school = "Physical" },
	{ "Silenced - Gag Order", DEBUFF, p.Brown2, },
	{ "Slam!", BUFF, p.Green3 },
	{ "Spell Reflection", BUFF, p.Gray, cooldown = true, school = "Physical" },
	{ "Sudden Death", BUFF, p.Gray },
	{ "Sunder Armor", DEBUFF, p.Brown1, },
	{ "Sweeping Strikes", BUFF, p.Orange3, cooldown = true, school = "Physical" },
	{ "Sword and Board", BUFF, p.Yellow3 },
	{ "Taste for Blood", BUFF, p.Yellow2 },
	{ "Taunt", nil, p.Orange1, cooldown = true, school = "Physical" },
	{ "Thunder Clap", DEBUFF, p.Green3, cooldown = true, school = "Physical" },
	{ "Trauma", DEBUFF, p.Red3, },
	{ "Vigilance", BUFF, p.Purple3 },
	{ "Whirlwind", nil, p.Blue2, cooldown = true, school = "Physical" },
}

Raven.classConditions.WARRIOR = {
}
